Debian Bug report logs - #653310
needs update for live-build 3.x

version graph

Package: live-magic; Maintainer for live-magic is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Cyril Roelandt <tipecaml@gmail.com>

Date: Mon, 26 Dec 2011 18:27:01 UTC

Severity: grave

Merged with 626912

Found in version live-magic/1.14

Fixed in version 1.14+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#653310; Package live-magic. (Mon, 26 Dec 2011 18:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Roelandt <tipecaml@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 26 Dec 2011 18:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Roelandt <tipecaml@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-magic: Clicking the "Apply" button does not trigger any action.
Date: Mon, 26 Dec 2011 19:19:09 +0100
Package: live-magic
Version: 1.14
Severity: grave
Justification: renders package unusable

Dear Maintainer,

   * What exactly did you do (or not do) that was effective (or
     ineffective)?

Run "live-magic".
Select the following options (not sure it really matters, though) :
Image type : "Standard Debian GNU/Linux image"
Distribution : "Unstable (sid)"
Media type : "USB/HDD image"
Mirror : "http://ftp.fr.debian.org/debian/"
Architecture : "amd64"
Debian installer : "no"
Locale and keyboard layout : "en_US.UTF-8" and "USA (US)"
Build folder : "/home/cyril/debianlive"
Click "Apply"

   * What was the outcome of this action?
Nothing happens in the UI. The following error is displayed in my terminal :

* cd "/home/cyril/debianlive"; lb config --ignore-system-defaults --packages-
lists='standard' --mirror-bootstrap='http://ftp.fr.debian.org/debian/'
--language='en' --cache-packages='false' --bootappend-live='locale=en_US.UTF-8
keyb=us' --cache-stages='none' --architecture='amd64' --debian-
installer='false' --distribution='sid' --binary-images='usb-hdd'
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/LiveMagic/controllers/wizard.py", line 50,
in on_wizard_apply
    self.model = Config(build_dir, **data)
  File "/usr/lib/pymodules/python2.7/DebianLive/__init__.py", line 55, in
__init__
    raise IOError, out
IOError: lb config: unrecognized option '--packages-lists=standard'
lb config: unrecognized option '--language=en'

   * What outcome did you expect instead?
live-magic should proceed and build a Debian live image.



-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-magic depends on:
ii  gksu            2.0.2-6
ii  live-build      3.0~a40-1
ii  python          2.7.2-9
ii  python-glade2   2.24.0-2
ii  python-gtk2     2.24.0-2
ii  python-support  1.0.14
ii  python-vte      1:0.28.2-4
ii  xdg-utils       1.1.0~rc1+git20111210-3

Versions of packages live-magic recommends:
ii  cdebootstrap  0.5.8+b1

live-magic suggests no packages.

-- no debconf information




Changed Bug title to 'needs update for live-build 3.x' from 'live-magic: Clicking the "Apply" button does not trigger any action.' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 26 Dec 2011 19:39:03 GMT) Full text and rfc822 format available.

Forcibly Merged 626912 653310. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 26 Dec 2011 19:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#653310; Package live-magic. (Wed, 25 Jan 2012 12:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Jylhä <jarij@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 25 Jan 2012 12:40:24 GMT) Full text and rfc822 format available.

Message #14 received at 653310@bugs.debian.org (full text, mbox):

From: Jari Jylhä <jarij@iki.fi>
To: 653310@bugs.debian.org
Subject: Fix
Date: Wed, 25 Jan 2012 13:30:59 +0200
This bug is in versions 1.13 and 1.14.

In the file
/usr/share/pyshared/LiveMagic/views/wizard.py

change row 199

# Boot parameters
data['bootappend_live'] = "locale=%s keyb=%s" % (locale, keyb)

to

# Boot parameters
data['bootappend_live'] = "locales=%s keyboard-layouts=%s" % (locale,keyb)




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Thu, 05 Apr 2012 22:22:29 GMT) Full text and rfc822 format available.

Notification sent to Cyril Roelandt <tipecaml@gmail.com>:
Bug acknowledged by developer. (Thu, 05 Apr 2012 22:22:29 GMT) Full text and rfc822 format available.

Message #19 received at 653310-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 555897-done@bugs.debian.org,584123-done@bugs.debian.org,620036-done@bugs.debian.org,626912-done@bugs.debian.org,635082-done@bugs.debian.org,640637-done@bugs.debian.org,653310-done@bugs.debian.org,
Cc: live-magic@packages.debian.org, live-magic@packages.qa.debian.org
Subject: Bug#666991: Removed package(s) from unstable
Date: Thu, 05 Apr 2012 21:47:17 +0000
Version: 1.14+rm

Dear submitter,

as the package live-magic has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/666991

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Thu, 05 Apr 2012 22:22:29 GMT) Full text and rfc822 format available.

Notification sent to Grzegorz Bizon <grzegorz.bizon@ntsn.pl>:
Bug acknowledged by developer. (Thu, 05 Apr 2012 22:22:29 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:29:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:21:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.